exportDbServerLogToObjectStorage

Prev Next

Available in VPC

Send Cloud DB for MongoDB instance DB server log files to Object Storage.

Note

To send DB server log files to Object Storage, Object Storage buckets for storing and searching DB server log files must be created in advance. For more information, see the Object Storage Guide.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmongodb/v2/exportDbServerLogToObjectStorage
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MongoDB instance whose DB server log file you want to send to Object Storage
  • See getRegionList
  • First Region of the getRegionList query result (default)
logType String Required DB server log file type
  • log | audit
fileName String Required DB server log file name
bucketName String Required Name of the Object Storage bucket the DB server log file will be sent to
cloudMongoDbServerInstanceNo String Required Cloud DB for MongoDB server instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/exportDbServerLogToObjectStorage
?regionCode=KR
&logType=log
&fileName=configlog.log.2024-07-01T**-**-**
&bucketName=bucket
&cloudMongoDbServerInstanceNo=2515****
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json

    {
        "exportDbServerLogToObjectStorageResponse": {
            "requestId": "ecc1ce95-****-****-****-788c5c4fe011",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <exportDbServerLogToObjectStorageResponse>
        <requestId>ecc1ce95-****-****-****-788c5c4fe011</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
    </exportDbServerLogToObjectStorageResponse>